using System.Collections.Generic;
using UnityEngine;

/// <summary>
/// Outputs Trajectories
/// </summary>
public class TrajectoryGenerator : MonoBehaviour
{
	private Trajectory _currentTrajectory = null;
	public Trajectory CurrentTrajectory => _currentTrajectory;

	public void CreateTrajectory(Sinusoid sinusoid = null)
	{
		// if (sinusoid == null)
		// {
		// 	sinusoid = TrajectoryBank.GetRandomCurve();
		// }

		_currentTrajectory = new Trajectory(sinusoid);
	}

	public void AddCurve(Sinusoid sinusoid)
	{
		_currentTrajectory.AddCurve(sinusoid);
	}
}
